diff autogen.sh @ 1361:19418e4422cb

New configure-based build system. Still work in progress, but much improved
author Sam Lantinga <slouken@libsdl.org>
date Thu, 16 Feb 2006 10:11:48 +0000
parents d02b552e5304
children 4a47f20705eb
line wrap: on
line diff
--- a/autogen.sh	Fri Feb 10 07:29:08 2006 +0000
+++ b/autogen.sh	Thu Feb 16 10:11:48 2006 +0000
@@ -1,19 +1,11 @@
 #!/bin/sh
 #
-echo "Generating build information using aclocal, automake and autoconf"
+echo "Generating build information using aclocal and autoconf"
 echo "This may take a while ..."
 
-# Touch the timestamps on all the files since CVS messes them up
-directory=`dirname $0`
-touch $directory/configure.in
-touch $directory/include/SDL_config.h.in
-
 # Regenerate configuration files
-aclocal || exit 1
-automake --foreign --include-deps --add-missing --copy || exit 1
-autoconf || exit 1
-(cd test; aclocal; automake --foreign --include-deps --add-missing --copy; autoconf)
+(aclocal && autoconf) || exit $?
+(cd test; aclocal; autoconf)
 
 # Run configure for this platform
-#./configure $*
 echo "Now you are ready to run ./configure"